#
# spec file for package openSUSE-Tumbleweed-Kubic-release
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           openSUSE-Tumbleweed-Kubic-release
Version:        20181120
Release:        0
Summary:        openSUSE Tumbleweed Kubic 
License:        GPL-2.0-or-later
Group:          System/Fhs
BuildRequires:  skelcd-openSUSE
Requires:       issue-generator
# Make sure we are at SLES12 SP2 level
PreReq:         glibc >= 2.19
# in rare cases, 'ln' is not found...
Requires(post): coreutils
Recommends:     branding
Conflicts:      distribution-release
Conflicts:      kernel < 4.4
Provides:       distribution-release
# Needed to not break installation-images in short turn; this needs to fixed there of course
Provides:       openSUSE-Kubic-release
# this package should only be available for the "basearchs" of a product
ExclusiveArch:  %ix86 x86_64 ppc64le s390x aarch64
Provides:       %name-%version
Provides:       product() = openSUSE-Tumbleweed-Kubic
Provides:       product(openSUSE-Tumbleweed-Kubic) = 20181120-0
Provides:       product-label() = openSUSE%20Tumbleweed%20Kubic
Provides:       product-cpeid() = cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Dtumbleweed%2Dkubic%3A20181120
Provides:       product-url(releasenotes) = http%3A%2F%2Fdoc.opensuse.org%2Frelease%2Dnotes%2Fx86_64%2FopenSUSE%2FTumbleweed%2Frelease%2Dnotes%2DopenSUSE.rpm
Provides:       product-endoflife()
Requires:       product_flavor(openSUSE-Tumbleweed-Kubic)



%description
openSUSE Tumbleweed Kubic combines the benefits of a rolling
      OS with a container orchestration platform.

      It is a modern Linux Operating System, designed for containers and
      optimized for large, clustered deployments.  It inherits the benefits of
      openSUSE Tumbleweed while redefining the operating system into a small,
      efficient and reliable distribution.

%package dvd
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(dvd)
Provides:       product_flavor(openSUSE-Tumbleweed-Kubic) = 20181120-0
Summary:        openSUSE Tumbleweed Kubic

%description dvd
openSUSE Tumbleweed Kubic combines the benefits of a rolling
      OS with a container orchestration platform.

      It is a modern Linux Operating System, designed for containers and
      optimized for large, clustered deployments.  It inherits the benefits of
      openSUSE Tumbleweed while redefining the operating system into a small,
      efficient and reliable distribution.

%files dvd
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-Tumbleweed-Kubic-release-dvd



%prep

%build

%install
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_libexecdir}/issue.d
echo -e "\nWelcome to openSUSE Tumbleweed Kubic (%{_target_cpu}) - Kernel \\\r (\\\l).\n" > %{buildroot}%{_libexecdir}/issue.d/10-OS
echo -e "\n" > %{buildroot}%{_libexecdir}/issue.d/90-OS

touch %{buildroot}%{_sysconfdir}/motd

# Put EULA into correct place
mkdir -p %{buildroot}/%{_sysconfdir}/YaST2/licenses/base
cd %{buildroot}/%{_sysconfdir}/YaST2/licenses/base
if [ -f /CD1/license.tar.gz ]; then
  tar -xzf /CD1/license.tar.gz
elif [ -f %{_libexecdir}/skelcd/CD1/license.tar.gz ]; then
  tar -xzf %{_libexecdir}/skelcd/CD1/license.tar.gz
fi

VERSION_ID=`echo %{version}|tr '[:upper:]' '[:lower:]'|sed -e 's/ //g;'`
# note: VERSION is an optional field and has no meaning other than informative on a rolling distro
# We do thus not add it to the os-release file
cat > %{buildroot}%{_libexecdir}/os-release <<EOF
NAME="openSUSE Tumbleweed Kubic"
# VERSION="%{version}%{?betaversion: %{betaversion}}"
ID="opensuse-tumbleweed-kubic"
ID_LIKE="suse opensuse opensuse-tumbleweed"
VERSION_ID="$VERSION_ID"
PRETTY_NAME="openSUSE Tumbleweed Kubic"
ANSI_COLOR="0;32"
CPE_NAME="cpe:/o:opensuse:tumbleweed-kubic:%{version}"
BUG_REPORT_URL="https://bugs.opensuse.org"
HOME_URL="https://www.opensuse.org/"
EOF
ln -s ..%{_libexecdir}/os-release %{buildroot}%{_sysconfdir}/os-release

mkdir -p $RPM_BUILD_ROOT/etc/products.d
cat >$RPM_BUILD_ROOT/etc/products.d/openSUSE-Tumbleweed-Kubic.prod << EOF
<?xml version="1.0" encoding="UTF-8"?>
<product schemeversion="0">
  <vendor>openSUSE</vendor>
  <name>openSUSE-Tumbleweed-Kubic</name>
  <version>20181120</version>
  <release>0</release>
  <endoflife></endoflife>
  <arch>%{_target_cpu}</arch>
  <cpeid>cpe:/o:opensuse:opensuse-tumbleweed-kubic:20181120</cpeid>
  <productline>openSUSE-Tumbleweed-Kubic</productline>
  <register>
    <pool>
    </pool>
    <updates>
    </updates>
  </register>
  <repositories>
  </repositories>
  <summary>openSUSE Tumbleweed Kubic</summary>
  <shortsummary>openSUSE Tumbleweed Kubic</shortsummary>
  <description>openSUSE Tumbleweed Kubic combines the benefits of a rolling
      OS with a container orchestration platform.

      It is a modern Linux Operating System, designed for containers and
      optimized for large, clustered deployments.  It inherits the benefits of
      openSUSE Tumbleweed while redefining the operating system into a small,
      efficient and reliable distribution.</description>
  <linguas>
    <language>en_US</language>
  </linguas>
  <urls>
    <url name="releasenotes">http://doc.opensuse.org/release-notes/x86_64/openSUSE/Tumbleweed/release-notes-openSUSE.rpm</url>
  </urls>
  <buildconfig>
    <producttheme>Kubic</producttheme>
    <create_flavors>true</create_flavors>
  </buildconfig>
  <installconfig>
    <defaultlang>en_US</defaultlang>
    <datadir>suse</datadir>
    <descriptiondir>suse/setup/descr</descriptiondir>
    <releasepackage name="%{name}" flag="EQ" version="%{version}" release="%{release}"/>
    <distribution>openSUSE</distribution>
  </installconfig>
  <runtimeconfig/>
</product>

EOF

mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-Tumbleweed-Kubic-release-dvd
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/openSUSE-Tumbleweed-Kubic-release-dvd/README << EOF
This package only exists for providing the product flavor 'dvd'.

EOF



%files
%defattr(644,root,root,755)
%{_sysconfdir}/os-release
%{_libexecdir}/os-release
%dir %{_sysconfdir}/products.d
%{_sysconfdir}/products.d/*
%dir %{_sysconfdir}/YaST2/
%config(noreplace) %{_sysconfdir}/motd
%dir %{_sysconfdir}/YaST2/licenses/
%dir %{_sysconfdir}/YaST2/licenses/base/
# no %doc here, or we will not install them
%{_sysconfdir}/YaST2/licenses/base/license*txt
%{_sysconfdir}/YaST2/licenses/base/no-acceptance-needed
%dir %{_libexecdir}/issue.d
%{_libexecdir}/issue.d/*-OS

%changelog
